Subject: "Hugoculture"?

From: Keith Johnson <[email-masked]>
Date: Sun, 21 Sep 1997 20:03:19 -0700

I'm searching for information about "hugoculture", a gardening style
using deep and coarse mulches. I saw an article in French at Peter
Bane's but it was a bad photocopy and faxed after that...and I don't
speak French (cest la vie). I've been playing around with it for a few
years and wondered if y'all had tried it or sourced info about it.
Thanks 
-- 
Keith Johnson
Sonoma Permaculture	
[email-masked]